Error in tab Repository

2010-11-25 12:55 - Maria Jurado

Status: Closed Start date: 2010-11-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hello,

when I navegate to Repository tab in log file show me the following ERROR MESSAGE:

"Shelling out: /usr/bin/svn list --xml 'http://subversion.dap.es/c5/PLJA/'@HEAD --username xxxx --password xxxx --no-auth-cache

--non-interactive

Error parsing svn output: undefined method `name' for nil:NilClass

Output was:"

And the application show the message "Entry and/or revision doesn't exist in the repository"

My subversion is 1.5.6.1 (another server subversion.dap.es) and I have installed in this server subversion-1.1.4-3.el4_8.2. I edited

lib/redmine/scm/adapters/subversion_adapter.rb and I changed line 27

SVN_BIN = "/usr/bin/svn"

My redmine version is 1.0.3. any suggestions?

Can any help me?

Related issues:

Related to Redmine - Feature #7517: Configurable path of executable for scm a... Closed 2011-02-02

History

#1 - 2010-12-14 20:38 - Barry McCall

I have the same issue:

redmine 1.0.4

ruby 1.8.7

rails 2.3.5

passenger 2.2.14

apache 2.2.14

freebsd 7.2

Debug:

Processing RepositoriesController#show (for 10.x.x.x at 2010-12-14 10:23:56) [GET]

  Parameters: {"action"=>"show", "id"=>"svntest", "controller"=>"repositories"}

  SQL (0.5ms)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings`

  User Load (0.5ms)   SELECT * FROM `users` WHERE (`users`.`id` = 130) AND (users.status = 1) AND ( (`users`.`

type` = 'User' OR `users`.`type` = 'AnonymousUser' ) )

  Project Load (0.7ms)   SELECT * FROM `projects` WHERE (`projects`.`identifier` = 'svntest') LIMIT 1

  Repository Load (0.4ms)   SELECT * FROM `repositories` WHERE (`repositories`.project_id = 54) LIMIT 1

Shelling out: svn info --xml 'http://mysourcesrv/subdir/branches/Release/WebApps/Z_RedmineIntegration//' --use

rname xxxx --password xxxx --no-auth-cache --non-interactive

  SQL (0.4ms)   BEGIN

  SQL (0.3ms)   COMMIT

  EnabledModule Load (0.6ms)   SELECT name FROM `enabled_modules` WHERE (`enabled_modules`.project_id = 54)

  SQL (0.2ms)   BEGIN

  SQL (0.2ms)   COMMIT

Shelling out: svn list --xml 'http://mysourcesrv/subdir/branches/Release/WebApps/Z_RedmineIntegration//'@HEAD 

--username xxxx --password xxxx --no-auth-cache --non-interactive

Error parsing svn output: undefined method `name' for nil:NilClass

Output was:
Rendering template within layouts/base

  Project Load (1.0ms)   SELECT `projects`.* FROM `projects` INNER JOIN `members` ON `projects`.id = `members`

.project_id WHERE ((`members`.user_id = 130) AND ((projects.status=1)))

  Project Load (0.8ms)   SELECT * FROM `projects` WHERE (projects.`lft` <= 203 AND projects.`rgt` >= 204) ORDE

R BY `lft` LIMIT 1

  CACHE (0.0ms)   SELECT * FROM `projects` WHERE (projects.`lft` <= 203 AND projects.`rgt` >= 204) ORDER BY `l

ft` LIMIT 1

  SQL (1.2ms)   SELECT count(DISTINCT `versions`.id) AS count_all FROM `versions` LEFT OUTER JOIN `projects` O

N `projects`.id = `versions`.project_id WHERE (projects.id = 54 OR (projects.status = 1 AND ( versions.sharing

 = 'system' OR (projects.lft >= 203 AND projects.rgt <= 204 AND versions.sharing = 'tree') OR (projects.lft < 

203 AND projects.rgt > 204 AND versions.sharing IN ('hierarchy', 'descendants')) OR (projects.lft > 203 AND pr

ojects.rgt < 204 AND versions.sharing = 'hierarchy'))))

  Wiki Load (0.6ms)   SELECT * FROM `wikis` WHERE (`wikis`.project_id = 54) LIMIT 1

  SQL (0.4ms)   SELECT count(*) AS count_all FROM `boards` WHERE (`boards`.project_id = 54)

Completed in 197ms (View: 77, DB: 8) | 500 Internal Server Error [https://redmine-upgraded.myco.net/projects/s

vntest/repository]

#2 - 2010-12-14 21:50 - Barry McCall

Maria: What is your setup? debian/freebsd/redhat?

Do you have subversion installed on the system you are running Redmine on?

#3 - 2010-12-15 08:36 - Maria Jurado

Hi, my setup is redhat 4.

I update my subversion to 1.5.5 and it works correctly now.

I hope you have luck.

Maria

#4 - 2010-12-15 08:37 - Maria Jurado

- Status changed from New to Resolved

#5 - 2010-12-15 14:33 - Barry McCall

Just some info for anyone trying to get this to work. I found out I needed to modify

{your-web-dir}/redmine/lib/redmine/scm/adapters/subversion_adapter.rb and change

# SVN executable name

SVN_BIN = "svn" 

to

# SVN executable name

SVN_BIN = "/usr/local/bin/svn" 

 Depending on your *nix flavor this will be the full path to your svn binary.

Additional note:

Be careful watching only debug output when troubleshooting svn problems. It is not very verbose. Try the actual svn shell out from debug on the

command line as the production.log file will not show authentication errors.

Reference:

http://www.redmine.org/boards/2/topics/11896

#6 - 2011-01-06 12:23 - Toshi MARUYAMA

- Category set to SCM

#7 - 2011-02-04 05:36 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Svn trunk r4795 adds a feature of configurable path of executable for scm adapters (#7517).
